%define upstream_name	 Test-Pod-Coverage
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Check for POD coverage in your Perl modules
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Pod::Coverage)
BuildRequires:	perl(Test::Builder::Tester)
BuildArch:	noarch


%description
This Perl module checks for POD coverage in files for your distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/Test/Pod/*
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.100.0-9.mga10
+ Revision: 2200868
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.100.0-8.mga9
+ Revision: 1806195
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-7.mga8
+ Revision: 1497442
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.100.0-6.mga7
+ Revision: 1271987
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-5.mga6
+ Revision: 1034518
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.100.0-4.mga6
+ Revision: 937867
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-3.mga5
+ Revision: 745388
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-2.mga5
+ Revision: 686516
- Mageia 5 Mass Rebuild

* Fri Jul 18 2014 sander85 <sander85> 1.100.0-1.mga5
+ Revision: 653611
- update to 1.10

* Fri Oct 18 2013 umeabot <umeabot> 1.80.0-4.mga4
+ Revision: 515301
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-3.mga3
+ Revision: 373681
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.80.0-2.mga1
+ Revision: 31624
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 15158
- imported package perl-Test-Pod-Coverage


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.1
+ Revision: 408087
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.08-4mdv2009.0
+ Revision: 224139
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.08-3mdv2008.1
+ Revision: 180602
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 25 2007 Olivier Thauvin <nanardon@mandriva.org> 1.08-2mdv2008.0
+ Revision: 18032
- rebuild


* Thu Jan 26 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.08-1mdk
- 1.08

* Wed Feb 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-2mdk
- Fix BuildRequires.

* Thu Dec 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-1mdk
- Initial MDK release.

